
import org.json.JSONObject;

import com.app.pokktsdk.delegates.BannerDelegate;
import com.app.pokktsdk.util.Logger;

class BannerAdDelegate implements BannerDelegate {

	@Override
	public void onBannerLoaded(String screenName) {
		Logger.d("[POKKT-JAVA]: onBannerLoaded: " + screenName);
		PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.BANNER_LOADED, screenName);
	}

	@Override
	public void onBannerLoadFailed(String screenName, String errorMessage) {
		try {
    		Logger.d("[POKKT-JAVA]: onBannerLoadFailed: " + screenName + " and message: " + errorMessage);
	    	JSONObject jsonObject = new JSONObject();
	    	jsonObject.put("screenName", screenName);
	    	jsonObject.put("errorMessage", errorMessage);
	    	PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.BANNER_LOAD_FAILED, jsonObject.toString());
    	} catch(Exception e) {
			Logger.printStackTrace(e);
    	}
	}

}
