
import java.util.HashMap;
import java.util.Map;

import com.app.pokktsdk.AdConfig;
import com.app.pokktsdk.delegates.AdDelegate;
import com.app.pokktsdk.util.Logger;

public class PokktAdDelegate implements AdDelegate {
    @Override
    public void onAdCachingCompleted(AdConfig adConfig, float adVc) {
        Logger.d("[POKKT-JAVA] onAdCachingCompleted called:  AdConfig adFormat: " + adConfig.getAdFormat());
        Map<String,String> extraValues = new HashMap<>();
        extraValues.put("AD_VC", adVc + "");
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_CACHING_COMPLETED_EVENT, adConfig, extraValues);
    }

    @Override
    public void onAdCachingFailed(AdConfig adConfig, String message) {
        Logger.d("[POKKT-JAVA] onAdCachingFailed called: " + message + ", adFormat: " + adConfig.getAdFormat());
        Map<String,String> extraValues = new HashMap<>();
        extraValues.put("MESSAGE", message);
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_CACHING_FAILED_EVENT, adConfig, extraValues);
    }

    @Override
    public void onAdClosed(AdConfig adConfig, boolean backButton) {
        Logger.d("[POKKT-JAVA] onAdClosed called: " + backButton + ", adFormat: " + adConfig.getAdFormat());
        Map<String,String> extraValues = new HashMap<>();
        extraValues.put("BACK_BUTTON", backButton + "");
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_CLOSED_EVENT, adConfig, extraValues);
    }

    @Override
    public void onAdCompleted(AdConfig adConfig) {
        Logger.d("[POKKT-JAVA] onAdCompleted called:  AdConfig adFormat: " + adConfig.getAdFormat());
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_COMPLETED_EVENT, adConfig, null);
    }

    @Override
    public void onAdDisplayed(AdConfig adConfig) {
        Logger.d("[POKKT-JAVA] onAdDisplayed called:  AdConfig adFormat: " + adConfig.getAdFormat());
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_DISPLAYED_EVENT, adConfig, null);
    }

    @Override
    public void onAdGratified(AdConfig adConfig, float reward) {
        Logger.d("[POKKT-JAVA] onAdGratified called:  AdConfig adFormat: " + adConfig.getAdFormat());
        Map<String,String> extraValues = new HashMap<>();
        extraValues.put("REWARD", reward + "");
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_GRATIFIED_EVENT, adConfig, extraValues);
    }

    @Override
    public void onAdSkipped(AdConfig adConfig) {
        Logger.d("[POKKT-JAVA] onAdSkipped called:  AdConfig adFormat: " + adConfig.getAdFormat());
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_SKIPPED_EVENT, adConfig, null);
    }

    @Override
    public void onAdAvailabilityStatus(AdConfig adConfig, boolean isAvailable) {
        Logger.d("[POKKT-JAVA] onAdAvailability called:  AdConfig adFormat: " + adConfig.getAdFormat());
        Map<String,String> extraValues = new HashMap<>();
        extraValues.put("IS_AVAILABLE", isAvailable + "");
        PokktNativeExtension.notifyFramework(PokktToFrameworkEvents.AD_AVAILABILITY_EVENT, adConfig, extraValues);
    }
}
