//
//  AdScreen.h
//  PokktSample
//
//  Created by Pankaj Kumar on 22/04/15.
//
//

#ifndef __PokktSample__AdScreen__
#define __PokktSample__AdScreen__

#include "scene.h"
#include <string>
#include "PCPokktConfig.h"
#include "PCPokktDelegate.h"

using namespace pokkt;


class AdScreen : public Scene, public PCPokktAdDelegate
{
private:
    // pokkt handlers
    
    virtual void handleAdAvailability(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    virtual void handleAdCachingCompleted(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    virtual void handleAdCachingFailed(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    virtual void handleAdDisplayed(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    virtual void handleAdSkipped(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    virtual void handleAdCompleted(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    virtual void handleAdClosed(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    virtual void handleAdGratified(PCAdConfig* adConfig, std::map<std::string, std::string> extraValues);
    
    float _coinsEarned = 0.0f;
    CLabel* startCachingLbl;
    
    static PCPokktConfig *pokktConfig;
    PCAdConfig *videoAdConfig = NULL;
    PCAdConfig *interstitialAdConfig = NULL;
    
    void hideButton(CSprite *sprite);
    void showButton(CSprite *sprite);
    void changeButtonLabelTest(CLabel *label, std::string text);
    void resetAllButton(PCAdConfig* adConfig);
    void initPokkt();
    
protected:
    CSprite* cacheVideoBtn;
    CLabel* cacheVideoLbl;
    
    CSprite* showVideoBtn;
    CLabel* showVideoLbl;
    
    CSprite* cacheInterstitialBtn;
    CLabel* cacheInterstitialLbl;
    
    CSprite* showInterstitialBtn;
    CLabel* showInterstitialLbl;
    
    CSprite* exportLogBtn;
    CLabel* exportLogLbl;
    
    CLabel* pointsEarnedLbl;
    
    bool isPokktReady;
    CLabel* screenNameLbl;

    std::string screenName;
    bool isReward;

public:
    AdScreen();
    ~AdScreen();
    
    //
    void Init();
    void Update(float deltaTime = 0.0f, float alphaMul = 1.0f);
    void Render();
    void updateAdScreen(std::string screen, bool isRewarded);
};

#endif /* defined(__PokktSample__AdScreen__) */
