//
//  OfferwallScreen.h
//  PokktSample
//
//  Created by Pankaj Kumar on 22/04/15.
//
//

#ifndef __PokktSample__OfferwallScreen__
#define __PokktSample__OfferwallScreen__

#include "scene.h"
#include <string>
#include "PCPokktConfig.h"
#include "PCPokktDelegate.h"

using namespace pokkt;

class OfferwallScreen : public Scene, public PCPokktOfferwallDelegate
{
private:
    CSprite* getOfferwallBtn;
    CSprite* getOfferwallWithFixedValueBtn;
    CSprite* incompleteCallBtn;
    
    CLabel* pointsEarnedLbl;
    
    // pokkt handlers
//    void handleCoinResponse(std::string coins);
//    void handleCoinResponseWithTrId(std::string coinsWithTrId);
//    void handleCoinResponseFailed(std::string message);
//    void handleCampaignAvailibity(std::string message);
//    void handleOfferwallclosed(std::string message);
    
    virtual void handleCoinResponse(std::string coins);
    virtual void handleCoinResponseWithTrId(std::string coinsWithTrId);
    virtual void handleCoinResponseFailed(std::string message);
    virtual void handleCampaignAvailibity(std::string message);
    virtual void handleOfferwallclosed(std::string message);
    
    int _coinsEarned = 0;
    
public:
    OfferwallScreen();
    ~OfferwallScreen();
    
    void Init();
    void Update(float deltaTime = 0.0f, float alphaMul = 1.0f);
    void Render();
    PCPokktConfig *pokktConfig;
};

#endif /* defined(__PokktSample__OfferwallScreen__) */
