//
//  UIComponents.cpp
//  PokktSample
//
//  Created by Pankaj Kumar on 24/04/15.
//
//

#include "UIComponents.h"
#include "IwGx.h"
#include "resources.h"

UIComponents::UIComponents()
{
    //graphicsScale = (float)IwGxGetScreenWidth() / GRAPHIC_DESIGN_WIDTH;
    //s3eDebugTracePrintf("graphicsScale : %f", graphicsScale);
}

UIComponents::~UIComponents()
{
    
}

CLabel* UIComponents::getLabel(float x, float y, float w, float h, float a_x, float a_y, CIw2DFontAlign h_align, CIw2DFontAlign v_align, Iw2DSceneGraph::CColor color, std::string text)
{
    float fontScale = (float)IwGxGetScreenWidth() / FONT_DESIGN_WIDTH;
    float actualFontHeight = FONT_HEIGHT * fontScale;
    float graphicsScale = (float)IwGxGetScreenWidth() / GRAPHIC_DESIGN_WIDTH;
    
    CLabel* label = new CLabel();
    label->m_X = x;
    label->m_Y = y;
    label->m_W = w;
    label->m_H = h;
    label->m_Text = text;
    label->m_AlignHor = h_align;
    label->m_AlignVer = v_align;
    label->m_Font = g_pResources->getFont();
    label->m_Color = CColor(0x00, 0x00, 0x00, 0xff);
    label->m_AnchorX = a_x;
    label->m_AnchorY = a_y;
    label->m_ScaleX = fontScale;//((float)IwGxGetScreenWidth() / FONT_DESIGN_WIDTH) / ((float)IwGxGetScreenWidth() / GRAPHIC_DESIGN_WIDTH);
    label->m_ScaleY = fontScale;//label->m_ScaleX;
    return label;
}

CSprite* UIComponents::getSprite(float x, float y, CIw2DImage* image, float a_x, float a_y)
{
    CSprite* sprite = new CSprite();
    sprite->m_X = x;
    sprite->m_Y = y;
    sprite->SetImage(image);
    sprite->m_W = sprite->GetImage()->GetWidth();
    sprite->m_H = sprite->GetImage()->GetHeight();
    sprite->m_AnchorX = a_x;
    sprite->m_AnchorY = a_y;
    sprite->m_ScaleX = (float)IwGxGetScreenWidth() / GRAPHIC_DESIGN_WIDTH;
    sprite->m_ScaleY = (float)IwGxGetScreenHeight() / 1024;
    return sprite;
}
